Bug 323331 - Missing equalizer support
Summary: Missing equalizer support
Status: RESOLVED FIXED
Alias: None
Product: phonon-backend-vlc
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: 0.7
Assignee: Harald Sitter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-10 08:45 UTC by Mark Kretschmann
Modified: 2013-09-10 12:31 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Kretschmann 2013-08-10 08:45:53 UTC
Please add support for an equalizer effect.

Reproducible: Always
Comment 1 Jean-Baptiste Kempf 2013-08-10 08:52:31 UTC
Please not that libVLC got an equalizer API now.
Comment 2 Harald Sitter 2013-09-10 12:29:32 UTC
Git commit 33a5850b3800503c1d662507f5ccffd81d36b338 by Harald Sitter.
Committed on 10/09/2013 at 12:29.
Pushed by sitter into branch 'master'.

implement vlc 2.2's equalizer

M  +4    -0    src/CMakeLists.txt
M  +10   -7    src/backend.cpp
M  +11   -11   src/effect.cpp
M  +45   -23   src/effectmanager.cpp
M  +13   -11   src/effectmanager.h
A  +79   -0    src/equalizereffect.cpp     [License: LGPL (v2.1+)]
A  +55   -0    src/equalizereffect.h     [License: LGPL (v2.1+)]
M  +6    -1    src/mediaplayer.cpp
M  +5    -0    src/mediaplayer.h

http://commits.kde.org/phonon-vlc/33a5850b3800503c1d662507f5ccffd81d36b338